
QGIS Application - Bug report #987

PostGIS: zeros instead of NULLs in a table

2008-03-12 03:12 PM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11047

Description

1. Add a numeric column to your [[PostGIS]] table (in QGIS or any other client).

2. "Open Table" or "Identify Features" - see QGIS claims there are '0', instead of empty cells (NULL) in the column, although you did not

enter them.

Actually these zeros are not there. These are NULL cells. Only QGIS displays them bogus.

This way you can't distinguish between cells really containing 0 and NULL. Moreover, you can't fill a NULL cell with a real 0 in QGIS - it

will claim nothing changed in the table and won't let you save changes.

r8213

Associated revisions

Revision 5ede092e - 2008-03-13 07:43 PM - Jürgen Fischer

- Support NULL database values (fixes #987 and #988)

  - check for NULL values on load

  - show "NULL" in attribute table and identify results

  - support entry of "NULL" in attribute table or dialog

- free result of PQexec in postgres provider (fixes memory leaks)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8217 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision f86a0afa - 2008-03-13 07:43 PM - Jürgen Fischer

- Support NULL database values (fixes #987 and #988)

  - check for NULL values on load

  - show "NULL" in attribute table and identify results

  - support entry of "NULL" in attribute table or dialog

- free result of PQexec in postgres provider (fixes memory leaks)

git-svn-id: http://svn.osgeo.org/qgis/trunk@8217 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-03-12 03:32 PM - Maciej Sieczka -
#988 is related.

#2 - 2008-03-12 05:17 PM - cgsbob -

Replying to [comment:1 msieczka]:

#988 is related.

Also look at #962.  [https://trac.osgeo.org/qgis/attachment/ticket/962/nullprob.png] illustrates the problem.

#3 - 2008-03-13 11:44 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

#4 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
